Bug 1016627 - Properties view is cleared after saving of newly created component/service/reference
Properties view is cleared after saving of newly created component/service/re...
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Brian Fitzpatrick
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 08:45 EDT by Tomas Rohovsky
Modified: 2018-03-29 17:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you create a component, service or reference in the SwitchYrad editor you will see details of it the Properties view. After saving, though, this view is cleared. This is due to a refresh error. It tries to refresh to show properties for the text, for which there is none.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1762 Minor Open Properties view is cleared after saving of newly created component/service/reference 2015-05-04 11:21:50 EDT

  None (edit)
Description Tomas Rohovsky 2013-10-08 08:45:15 EDT
Description of problem:
Create a component/service/reference. Then you will see details in Properties view. After saving is Properties view cleared, but it should stay as it was.
Comment 2 JBoss JIRA Server 2013-10-25 22:34:59 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1762

The issue appears to be caused by the refresh of the source tab after a save.  This generates a selection change event where the selection is a text range on the source page.  Because the selection is not a figure in the diagram, the properties view updates to show properties for the selected text, for which there are none.

That said, I'm not sure how to fix this at the moment.
Comment 3 Len DiMaggio 2015-02-17 12:37:17 EST
Nacking this bugzilla - this is an EAP issue and FSW 6.2 will not embed EAP.
Comment 4 Ken Johnson 2015-03-12 14:26:33 EDT
Is this a SY editor issue or an EAP issue?
Comment 5 Tomas Rohovsky 2015-03-16 03:40:00 EDT
It is a SY editor issue.
Comment 6 Len DiMaggio 2015-03-16 11:43:44 EDT
Nacked in error! This is not an EAP issue.
Comment 7 Brian Fitzpatrick 2015-04-20 12:51:57 EDT
This will not be fixed in this release. Currently the properties view is refreshed based on model updates. See Rob's earlier comment. We don't have a way to fix it right now.

Note You need to log in before you can comment on or make changes to this bug.